using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            

            Console.WriteLine("Unesi X");
            int X = int.Parse(Console.ReadLine());
            Console.WriteLine("Unesi Y");
            int Y = int.Parse(Console.ReadLine());
            string NoviBroj = "";
          
            while (Y > 0 || X > 0)
            { 

                int a = X % 10;
                int b = Y % 10;
                if (Y == 0 && X % 10 == 0 || X == 0 && Y % 10 == 0) NoviBroj = "0" + NoviBroj;
                else
                {
                    if (a > b) NoviBroj = a + NoviBroj;
                    else if (a == b) NoviBroj = a + "" + b + NoviBroj;
                    else NoviBroj = b + NoviBroj;
                }              
                X = X / 10;
                Y = Y / 10;   
            }
            Console.WriteLine(NoviBroj);
        }
    }
}